Subject: July 28 - Denim vs Banana

From: mbra7273 <[email-masked]>
Date: Mon, 2 Aug 2004 13:03:19 -0400

>From Capt Mike of Banana

Banana 14 Denim 17

Denim and Banana met in Round 2 of this regular season matchup and like the 
first game, this too was a good game.  The first half saw the teams trade 
points back and forth with Denim going to the break with a 9 - 7 lead.  Capt 
Teddy of Denim had not 1, not 2, but 3 lay out D's of throws from a person who 
shall remain nameless (all I can say is that after each one, I was like, 
"Damn, howd he get that ?"  What can you say but the dude is ill yo).  Anyhow, 
after half Denim streched their lead a bit to like 12 - 8.  Banana refused to 
roll over however and the teams traded points for the remainder of the game.  
Erin D of Banana also had a great lay out catch.  Capt Kerry of Denim, Ian of 
Banana, and Cape of Denim all provided comic relief as well as hot play.  Lets 
see, what else, oh cheers were awesome (versions of Billy Jean and Yellow 
submarine).  In summary, as usuall, a fun, spirited, and competitive RIPUL 
game.  Which is why we all play.  See you on the fields this week.